Package com.xebialabs.xlrelease.domain.facet

## Class TaskReportingRecord

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.facet.Facet
    - - com.xebialabs.xlrelease.domain.facet.TaskReportingRecord

- All Implemented Interfaces:
    `ConfigurationItem`, `VisitableItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`
  Direct Known Subclasses:
    `BuildRecord`, `CodeComplianceRecord`, `DeploymentRecord`, `ItsmRecord`, `PlanRecord`

      @Metadata(root=APPLICATIONS,
                versioned=false,
                virtual=true,
                description="Base type for all immutable reporting records produced by tasks.")
      public class TaskReportingRecord
      extends Facet

  A Task reporting record.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.xlrelease.domain.facet.Facet

      `CONFIGURATION_URI, scope`

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskReportingRecord()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Date` | `getCreationDate()` |
    `int` | `getRetryAttemptNumber()` |
    `java.lang.String` | `getServerUrl()` |
    `java.lang.String` | `getServerUser()` |
    `boolean` | `isCreatedViaApi()` |
    `void` | `setCreatedViaApi​(boolean createdViaApi)` |
    `void` | `setCreationDate​(java.util.Date creationDate)` |
    `void` | `setRetryAttemptNumber​(int retryAttemptNumber)` |
    `void` | `setServerUrl​(java.lang.String serverUrl)` |
    `void` | `setServerUser​(java.lang.String serverUser)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.facet.Facet

      `accept, freezeVariables, getPropertiesWithVariables, getScope, getTargetId, getVariableMapping, getVariableUsages, setScope, setTargetId, setVariableMapping`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskReportingRecord

          public TaskReportingRecord()

  - ### Method Detail

    - #### getServerUrl

          public java.lang.String getServerUrl()

    - #### setServerUrl

          public void setServerUrl​(java.lang.String serverUrl)

    - #### getServerUser

          public java.lang.String getServerUser()

    - #### setServerUser

          public void setServerUser​(java.lang.String serverUser)

    - #### getCreationDate

          public java.util.Date getCreationDate()

    - #### setCreationDate

          public void setCreationDate​(java.util.Date creationDate)

    - #### getRetryAttemptNumber

          public int getRetryAttemptNumber()

    - #### setRetryAttemptNumber

          public void setRetryAttemptNumber​(int retryAttemptNumber)

    - #### isCreatedViaApi

          public boolean isCreatedViaApi()

    - #### setCreatedViaApi

          public void setCreatedViaApi​(boolean createdViaApi)